
package com.limegroup.gnutella.bootstrap;

import java.text.ParseException;

/**
 * The list of default GWebCache urls, used the first time LimeWire starts, or
 * if the gnutella.net file is accidentally deleted.  Entries in the list will
 * eventually be replaced by URLs discovered during urlfile=1 requests.  Order
 * does not matter.
 *
 * THIS FILE IS AUTOMATICALLY GENERATED FROM MAKE_DEFAULT.PY.
 */
public class DefaultBootstrapServers {
    /**
     * Adds all the default servers to bman. 
     */
    public static void addDefaults(BootstrapServerManager bman) {
        for (int i=0; i<urls.length; i++) {
            try {
                BootstrapServer server=new BootstrapServer(urls[i]);
                bman.addBootstrapServer(server);
            } catch (ParseException ignore) {
            }                
        }
    }

    //These should NOT be URL encoded.
    static String[] urls=new String[] {
        "http://194.109.226.113/gnucleus/gcache.asp",
        "http://207.71.250.4/gcache/gcache.php",
        "http://209.197.225.202/gcache.php",
        "http://66.78.61.146/",
        "http://80.177.63.202/gcache.php",
        "http://81.2.115.194/GWebCache/gcache.php",
        "http://ads-clan.org/gwebcache/gcache.php",
        "http://aoj.net/gcache/gcache.php",
        "http://aphasia.cc.gatech.edu:8080/gcache.php",
        "http://ath0.net/gwebcache/gcache.php",
        "http://bbs.robertwoolley.co.uk/GWebCache/gcache.php",
        "http://bbs.robertwoolley.co.uk/gwebcache/gcache.php",
        "http://bd-home-comp.no-ip.org/gcache.php",
        "http://bobsmith.kicks-ass.org/gwebcache/gcache.php",
        "http://borednow.net/GWebCache/GCache.asp",
        "http://borednow.net/gwebcache/gcache.asp",
        "http://broneer.free.fr/gcache/gcache.php",
        "http://cache.mynapster.com/index.php",
        "http://calamity.panda.clarkey.net:46787/doris.php",
        "http://cfx.domainchen.de/gwebc/gcache.php",
        "http://cgi.morrisinc.plus.com/g/gcache.php",
        "http://cgi.rz.tu-ilmenau.de/~mifl-ii/gcache.php",
        "http://cgi.verplant.org/octoGCache.pl",
        "http://cs-people.bu.edu/leith/gnuCache/gcache.php",
        "http://dannyj.dynip.com/gwebcache/gcache.php",
        "http://danut.homeip.net/gcache.php",
        "http://etomi.com/gcache/gcache.php",
        "http://freenet.dyndns.org/gwebcache/gcache.php",
        "http://g-web-cache1.paonet.org/gcache/gcache.php",
        "http://g.dumbek.net/gcache.php",
        "http://g2cache.theg2.net/gwcache/lynnx.asp",
        "http://gattinger.org/gcache/gcache.php",
        "http://gcache.woodenpickle.com/gcache.php",
        "http://goodwid.feather.net/gweb/gcache.php",
        "http://gwc.collie.net/gcache.php",
        "http://gwebcache.amateur-hour.net/gcache.php",
        "http://gwebcache.bearshare.net/gcache.php",
        "http://gwebcache.jonatkins.com/cgi-bin/gwebcache.cgi",
        "http://gwebcache.mrhightek.net/gcache.php",
        "http://gwebcache.rootdir.de/gcache.php",
        "http://gwebcache.zerouptime.ch/gcache.php",
        "http://gwebcache3.jonatkins.org.uk/perlgcache.cgi",
        "http://heiwww.unige.ch/~gander/gwebcache/gcache.php",
        "http://heypete.safepages.com/gwebcache/gcache.php",
        "http://home.no.net/dforsb/gnet/gcache.php",
        "http://home.zk3d.com/gwebcache/gcache.php",
        "http://inerciasensorial.com.br/gwebcache/gcache.php",
        "http://intranet.ktg.se/~andbje/gnutella/gcache.php",
        "http://ixm.goquest.com/gnu/gcache.php",
        "http://jaxx.org/gcache.php",
        "http://junkyjunk.com/gwebcache/gcache.php",
        "http://kioan.users.uth.gr/GnucleusWebCache/gcache.php",
        "http://kjellman.com/gcache/gcache.php",
        "http://kolecke.net/gwebcache/gcache.php",
        "http://mach2.com/gc/gc.php",
        "http://members.lycos.nl/jocat3/gcache.php",
        "http://members.lycos.nl/killerarnold/gcache.php",
        "http://members.lycos.nl/silvermaster59/gcache.php",
        "http://membres.lycos.fr/tium2000/gcache.php",
        "http://membres.lycos.fr/waryde/gnuc/gcache.php",
        "http://moby.sis.it/~marchino/gcache.php",
        "http://move.along.move.along.there.is.nothing.to.see.here.at.bishopston.net:23558/",
        "http://olympus.het.brown.edu/gwebcache-0.7.5/gcache.php",
        "http://parallel.hpc.unsw.edu.au/~duraid/gwebcache-0.7.4/gcache.php",
        "http://plexicode.com/gwebcache/gcache.php",
        "http://r3dk0w.dyndns.org/gwebcache/gcache.php",
        "http://racewaylube.com/gcache.php",
        "http://raphael.manfredi.free.fr/gwc/gcache.php",
        "http://read.the.disastrous.info/gwebcache/gcache.php",
        "http://s91.tku.edu.tw/~291510500/gwebcache/gcache.php",
        "http://se.vatavia.net/gcache.php",
        "http://security-on.net/gcache/gcache.php",
        "http://server925.gisol.com/~enhance/search/files/cache/gcache.php",
        "http://stroker.dhs.org/gwebcache/gcache.php",
        "http://theccu.org/webservices/GnuCache/index.php",
        "http://unknown.pingtime.com/gwebcache/gcache.php",
        "http://usuarios.lycos.es/coolebra/gwebcache/gcache.php",
        "http://utenti.lycos.it/gcache/gcache.php",
        "http://www.aoj.net/gcache/gcache.php",
        "http://www.apexo.de/gnucache/gcache.php",
        "http://www.arne-nickel.de/gnucleus/gcache.php",
        "http://www.asiinfo.net/gwebcache/gcache.php",
        "http://www.atomwire.com/cache/lynn.asp",
        "http://www.blar.de/cache/gwebcache/gcache.php",
        "http://www.bruring.com/gnet/gcache.php",
        "http://www.bstsystems.com/gwebcache/gcache.php",
        "http://www.camnetworking.com/gnucache/gcache.php",
        "http://www.celeborn.dnsalias.org/gwebcache/gcache.php",
        "http://www.cgs-services.de/gwebcache/gcache.php",
        "http://www.cherokeevote2003.com/gwebcache/gcache.php",
        "http://www.clubchat.com/gcache.php",
        "http://www.curioussymbols.com/gwebc/gcache.php",
        "http://www.donutz.de/GWebCache/gcache.php",
        "http://www.easypublish.net/gwebcache/gcache.asp",
        "http://www.emixode.com/gcache/hipe.dll",
        "http://www.frosty522.kicks-ass.net/gnu/gcache.php",
        "http://www.gaultopia.org/gcache/gcache.php",
        "http://www.higgy.ip3.com/gwebcache/gcache.php",
        "http://www.hottdeals.com/postNuke7/gWebCache",
        "http://www.hottdeals.com/postNuke7/gWebCache/gcache.php",
        "http://www.humboldt.edu/~dns11/gwebcache/gcache.php",
        "http://www.inet-one.com/gwebcache-0.7.5/gcache.php",
        "http://www.infowebmaster.com/gnutella/gcache.php",
        "http://www.inthetrunk.com/gcache/gcache.php",
        "http://www.julianfamily.org/gcache.php",
        "http://www.justthefaqs.org/gnu/gcache.php",
        "http://www.kayaman.net/gweb",
        "http://www.kayaman.net/gweb/default.asp",
        "http://www.linuxator.com/gcache/gcache.php",
        "http://www.lostdaemon.net/gwebcache/gcache.php",
        "http://www.markus-wolf-home.de/GNetCache/index.php",
        "http://www.markus-wolf-home.de/GWebCache/gcache.php",
        "http://www.melissazone.com/gwebcache/gcache.php",
        "http://www.mindless-crap.com/gcache/gcache.php",
        "http://www.netsoc.ucd.ie/~roberth/GnuCache/gcache.php",
        "http://www.newrisedesigns.com/gcache/gcache.php",
        "http://www.nyetech.com.au/gwebcache/gcache.php",
        "http://www.ontheside.net/gcache/gcache.php",
        "http://www.perser.org/gcache/gcache.php",
        "http://www.php.ee/gcache/index.php",
        "http://www.pik.org/GWebCache/gcache.php",
        "http://www.progoth.com/gwc/gcache.php",
        "http://www.puxie.nl/gwebcache/gcache.php",
        "http://www.racewaylube.com/gcache.php",
        "http://www.riverstyx.com/gcache.php",
        "http://www.sebastianmendel.de/gwebcache/gcache.php",
        "http://www.sonic.net/~oceanowl/gcache.php",
        "http://www.the-hairy-one.com/gcache.php",
        "http://www.tigersden.co.uk/gwebcache/gcache.php",
        "http://www.toms-world.org/Gnutella/gcache.php",
        "http://www.torg.org/gwebcache/gcache.php",
        "http://www.universalopps.com/gcache/gcache.php",
        "http://www.versus167.de/gwebcache/gcache.php",
        "http://www.videoblaster.it/gcache.php",
        "http://www.waddell.ch/cache",
        "http://www.waddell.ch/cache/",
        "http://www.warwick.ac.uk/~csvbn/gcache/gcache.php",
        "http://www.wtndrifters.org/gcache.php",
        "http://www.x3k6a2.net/GnuCache_0.5.2/gcache",
        "http://www.xmission.com/~mcintyre/gcache/gcache.php",
        "http://www.xolox.nl/gwebcache",
        "http://www.xolox.nl/gwebcache/default.asp",
        "http://www.xolox.nl/gwebcache/xolox/lynn.asp",
        "http://www.yumyum.ws/GnuCache/gcache.php",
        "http://www12.brinkster.com/chris5g/gwebcache/index.asp",
        "http://www2.latech.edu/~aas011/gwebcache-0.7.5/gcache.php",
        "http://www21.brinkster.com/codered2/lynn.asp",
        "http://www21.brinkster.com/icarus2de/lynn.asp",
        "http://zilched.com/gnucleus/gcache.php"
    };
}
